function Asload = El_load2str (Rload, Nodes, Nsvab, n_Nodes, Ndofn) 
                                
%  Asload = El_load2str (Rload, Nodes, Nsvab, n_Nodes, Ndofn)
%
%  This function is for transforming element load vector to structural size
%  
%  Written by Wong Foek Tjong, ID. 100127
%  Asian Institute of Technology, 15 December 2003
%  Last modification: 23 February 2004, 29 August 2005
%                     2 September 2005, 9 September 2005
%
%  Input  
%  Rload  : Element load vector
%  Nodes  : Node numbers in an influence domain
%  Nsvab  : Number of global structural variables (DOF)
%  n_Nodes: Number of nodes in the influence domain
%  Ndofn  : Number of degrees of freedom per node
%
%  Output
%  Asload :  Element load vector in structural size

%  I_dof:  Global index of the parameters (dof) per each element
Asload=zeros(Nsvab,1);
I_dof = Global_dof (Nodes, n_Nodes, Ndofn);
%
Asload(I_dof,1) = Rload;