function Astiff = El_stiff2str (Estiff, Nodes, Nsvab, n_Nodes, Ndofn)
                                
%  Astiff = El_stiff2str (Estiff, Nodes, Nsvab, n_Nodes, Ndofn)
%
%  This function is for transforming element stiffness matrix
%  to structural size
%  
%  Written by Wong Foek Tjong, ID. 100127
%  Asian Institute of Technology, 15 December 2003
%  Modifications:  23 February 2004, 28 August 2005
%                  2 September 2005, 8 September 2005
%
%  Input  
%  Estiff : Element stiffness matrix
%  Nodes  : Node numbers in an influence domain
%  Nsvab  : Number of global structural variables (DOF)
%  n_Nodes: Number of nodes in the influence domain
%  Ndofn  : Number of degrees of freedom per node
%
%  Output
%  Astiff :  Element stiffness matrix in structural size

%  I_dof:  Global index of the parameters (dof) per each element
Astiff=sparse(zeros(Nsvab,Nsvab));
I_dof = Global_dof (Nodes, n_Nodes, Ndofn);
%
Astiff(I_dof,I_dof) = Estiff;
