function TRI_trac = Find_TRI_trac(Trac_f, NTrac_f, TRI)

%  Searching the triangular elements having 
%  traction force
%  
%  Written by Wong Foek Tjong, ID. 100127
%  Asian Institute of Technology, 25 August 2005
%
%  Input
%  Trac_f:  Matrix of applied traction force information
%  NTrac_f:  Number of line segments having traction force
%  TRI:  Element connectivity of the triangles
%
%  Output
%  TRI_trac:  A column vector that contains the labels 
%             of the triangular elements having traction force
%
Node=[ Trac_f(:,1); Trac_f(NTrac_f,2) ];
%
TRI_trac=zeros(NTrac_f,1);
for i_Line=1:NTrac_f
    [TRI_trac1,J]=find(TRI==Node(i_Line));
    [TRI_trac2,J]=find(TRI==Node(i_Line+1));
    for i_TRI=1:length(TRI_trac1)
       if Isin(TRI_trac1(i_TRI),TRI_trac2)
           TRI_trac(i_Line,1)=TRI_trac1(i_TRI);
       end
    end
end
