function d_max = Max_Distance( Coord)

%  d_max = Max_Distance( Coord)
%
%  Max_Distance returns the maximum distance between nodes  
%
%  Written by Wong Foek Tjong, ID. 100127
%  Asian Institute of Technology, 6 September 2005
%
%  Input
%  Coord:  matrix of nodal coordinates in the influence domain, n*2
%  
%  Output
%  d_max:  the maximum distance
%
n=size(Coord,1);
Distance=zeros(0.5*n*(n-1),1);
n_dist=0;
for ii=1:(n-1)
    for jj=(ii+1):n
        n_dist=n_dist+1;
        Distance(n_dist,1)=norm(Coord(jj,:)-Coord(ii,:));
    end
end
clear n_dist ii jj
d_max = max(Distance);
