function Nonzero_xy = Nonzero_index (x,y) 
%
%  Unify nonzero indices of vector x and vector y
%  
%  Written by Wong Foek Tjong, ID. 100127
%  Asian Institute of Technology, 18 December 2003
%
%  Input
%  x and y :  two column vectors with the same in size
%
%  Output
%  Nonzero_xy : column vector of nonzero indices in x or in y
%
%  Example
%  x=[1 0 1 0 1 0 1 0]';
%  y=[0 0.2 0 0 -.01 0 0 0]';
%  Nonzero_xy --> [1 2 3 5 7]'
%
Nonzero_xy=find(x);
Nonzero_y=find(y);
%
for INonzero_y = 1:length(Nonzero_y)
    if Isin( Nonzero_y(INonzero_y), Nonzero_xy) == 0
       Nonzero_xy = [ Nonzero_xy; Nonzero_y(INonzero_y)];
    end   
end
clear INonzero_y;
Nonzero_xy = sort(Nonzero_xy);