function Plot_Undeform (Project_Title, Lnods, Coord, Nelem, Npoin)

%  Plotting undeformed shape of a structural finite element model 
%
%  Written by Wong Foek Tjong, ID. 100127
%  Asian Institute of Technology, 26 December 2003
%  Modification:  19 July 2005  
%
%  Input
%  Project_Title
%  Lnods:  Element node numbers listed per each element
%  Coord:  Coordinate of the node
%  Nelem:  Total number of elements in the structure
%  Npoin:  Total number of nodal points in the structure
%
%  Output
%  A figure of the structure
%
Lnods=[ Lnods Lnods(:,1)];
figure(2);
clf;
hold on;
for Ielem=1:Nelem
    X=Coord(Lnods(Ielem,:),1);
    Y=Coord(Lnods(Ielem,:),2);
%     plot(X,Y,'k','LineWidth',2,'Marker','o',...
%         'MarkerSize',6','MarkerEdgeColor','k','MarkerFaceColor','k');
plot(X,Y,'k','LineWidth',2)
%     text(mean(X),mean(Y),num2str(Ielem));
end    

% %  Put node numbers
% S_num=max(max(Coord))*0.01;
% Ipoin=(1:Npoin)';    
% text(Coord(:,1)+S_num, Coord(:,2)+1.75*S_num ,num2str(Ipoin));  
%  
hold off
axis('equal');
title(Project_Title);
xlabel('X axis');
ylabel('Y axis');