function Plot_Undeform_TRI (Project_Title, Lnods, Coord, Npoin)

%  Plot_Undeform_TRI (Project_Title, Lnods, Coord, Npoin)
%
%  Plotting undeformed shape of the structure without
%  element labels
%
%  Written by Wong Foek Tjong, ID. 100127
%  Asian Institute of Technology, 28 March 2005
%
%  Input
%  Project_Title
%  Lnods:  Element node numbers listed per each element
%  Coord:  Coordinates of the nodes
%  Npoin:  Total number of nodal points in the structure
%
%  Output
%  A figure of the structure and its support domains of the
%  test shape functions
%
figure(1);
clf;
hold on;
X=Coord(:,1);
Y=Coord(:,2);
triplot(Lnods,X,Y,'Marker','hexagram','MarkerEdgeColor','r');

%  Put node numbers
S_num=max(max(Coord))*0.01;
Ipoin=(1:Npoin)';    
text(Coord(:,1)+S_num, Coord(:,2)+1.75*S_num ,num2str(Ipoin));  
 
hold off
axis('equal');
title(Project_Title);
xlabel('X axis');
ylabel('Y axis');