function  React1 = Reaction (Astiff, Asload, Xdisp, Ndofn, Nonzero_Ifpre)
%
%  This function is for obtaining the support reactions and 
%  forces at prescribed displacements
%  
%  Written by Wong Foek Tjong, ID. 100127
%  Asian Institute of Technology, 17 December 2003
%
%  Input
%  
%  Astiff : Assembled global stiffness matrix
%  Asload : Assembled global load vector
%  Xdisp  : Displacements at nodes
%  Ndofn :  Number of degrees of freedom per node
%  Nonzero_Ifpre : Vector of indices of fixed dofs or 
%                  prescribed displacements
%
%  Output 
%  React1 :  Reactions at nodes with fixed dofs or
%            prescribed displacements
%
React=Astiff*Xdisp-Asload;  %  React : Forces at nodes
%
React1 = Eqns2node(React, Ndofn, Nonzero_Ifpre);
