 function Node_cards = Rect_nodes (x_length, y_length, no_x, no_y)
%
%  Generating the equally-spaced nodal coordinates
%  and their numerical label for a rectangular domain
%
%  Written by Wong Foek Tjong, ID. 100127
%  Asian Institute of Technology, 3 March 2005
%
%  Input
%  x_length:  the length of the rectangle in x direction 
%  y_length:  the length of the rectangle in y direction 
%  no_x:  the number of nodes in x direction
%  no_y:  the number of nodes in y direction
%        
%  Output
%  Node_cards:  a matrix containing nodal point numbers and
%               coordinate of the nodes
%
del_x=x_length/(no_x-1);  del_y=y_length/(no_y-1);
x=0 :del_x: x_length;
y=0 :del_y: y_length;
[X,Y]=meshgrid(x,y);
Coord=[];
for i_y=1:length(y)
   Coord = [ Coord;  X(i_y,:)' Y(i_y,:)'];
end
Node_cards = zeros( size(Coord,1),3);
Ipoin =(1:size(Coord,1))';
Node_cards = [ Ipoin  Coord];
