function Xdisp = Solution (Neqns, Mod_Astiff, Mod_Asload, Fixed, ...
                           Nonzero_Ifpre)
                         
%  Xdisp = Solution (Neqns, Mod_Astiff, Mod_Asload, Fixed, Nonzero_Ifpre) 
%
%  This function is for obtaining all of the nodal displacements
%  
%  Written by Wong Foek Tjong, ID. 100127
%  Asian Institute of Technology, 17 December 2003
%  Modification:  29 August 2005
%
%  Input
%  Neqns  :  Number of equations
%  Mod_Astiff :  Modified global stiffness matrix
%  Mod_Asload :  Modified global load vector
%  Fixed      :  Vector of prescribed displacements
%  Nonzero_Ifpre :  Vector of indices of fixed dofs or 
%                   prescribed displacements
%
%  Output  
%  Xdisp  :  Displacements at nodes
%
Mod_Xdisp=Mod_Astiff \ Mod_Asload;
Xdisp = Fixed;
%
Mod_Xdisp_i = zeros( Neqns-size(Nonzero_Ifpre,1), 1);
IMod=0;
for Ieqns = 1:Neqns
    if Isin(Ieqns,Nonzero_Ifpre)==0
       IMod=IMod+1;
       Mod_Xdisp_i(IMod,1) = Ieqns;
    end   
end
%
Xdisp(Mod_Xdisp_i,1)=Mod_Xdisp;